Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[SOLVED]Unable to emerge gtk+3 due to error in Adwaita files
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Desktop Environments
View previous topic :: View next topic  
Author Message
IvanDSM
n00b
n00b


Joined: 02 May 2017
Posts: 6
Location: Brazil

PostPosted: Sat Jul 08, 2017 9:56 pm    Post subject: [SOLVED]Unable to emerge gtk+3 due to error in Adwaita files Reply with quote

I have recently acquired a new notebook I'vem installing Gentoo on, and I have already finished doing everything in the Handbook. installed Gentoo on, but I'm trying to install LXDE and I am currently unable to emerge gtk+3 due to a strange error related to identifying the image types on the Adwaita theme:
Code:
glib-compile-resources gtk.gresource.xml \
   --target=/var/tmp/portage/x11-libs/gtk+-3.22.16/work/gtk+-3.22.16/gtk/gtkresources.h --sourcedir=/var/tmp/portage/x11-libs/gtk+-3.22.16/work/gtk+-3.22.16/gtk --c-name _gtk --generate-header --manual-register
glib-compile-resources gtk.gresource.xml \
   --target=gtkresources.c --sourcedir=/var/tmp/portage/x11-libs/gtk+-3.22.16/work/gtk+-3.22.16/gtk --c-name _gtk --generate-source --manual-register
failed to load "/var/tmp/portage/x11-libs/gtk+-3.22.16/work/gtk+-3.22.16/gtk/theme/Adwaita/assets/bullet-symbolic.symbolic.png": Couldn't recognize the image file format for file '/var/tmp/portage/x11-libs/gtk+-3.22.16/work/gtk+-3.22.16/gtk/theme/Adwaita/assets/bullet-symbolic.symbolic.png'
failed to load "/var/tmp/portage/x11-libs/gtk+-3.22.16/work/gtk+-3.22.16/gtk/theme/Adwaita/assets/bullet-symbolic.symbolic.png": Couldn't recognize the image file format for file '/var/tmp/portage/x11-libs/gtk+-3.22.16/work/gtk+-3.22.16/gtk/theme/Adwaita/assets/bullet-symbolic.symbolic.png'
gtk.gresource.xml: Child process exited with code 1.
gtk.gresource.xml: Child process exited with code 1.
make[2]: *** [Makefile:7844: gtkresources.c] Error 1


Here is the output of emerge --info '=x11-libs/gtk+-3.22.16::gentoo': https://paste.pound-python.org/raw/T7bpAomlRUS1mMwK6k5R/

Here is the output of emerge-pqv '=x11-libs/gtk+-3.22.16::gentoo': https://paste.pound-python.org/raw/TpK3IkVUzNyddHzKy7qa/

Here is the complete build log: https://paste.pound-python.org/raw/6w4xKnnxhgmS4YEA0FPv/

EDIT: I forgot to mention: In my main notebook, gtk+-3.22.16 compiled just fine. It's also worth noting that the same problem has happened with gtk+-3.22.15 on the new notebook.
_________________
Where words cascade like rainbows tumbling from the skies, then I'll be there.
Back to top
View user's profile Send private message
DONAHUE
Watchman
Watchman


Joined: 09 Dec 2006
Posts: 7550
Location: Goose Creek SC

PostPosted: Sun Jul 09, 2017 5:04 pm    Post subject: Reply with quote

emerge -s libpng
if not installed
emerge png
emerge gtk+
still broken ??
_________________
Defund the FCC.
Back to top
View user's profile Send private message
IvanDSM
n00b
n00b


Joined: 02 May 2017
Posts: 6
Location: Brazil

PostPosted: Sun Jul 09, 2017 7:32 pm    Post subject: Reply with quote

I've checked that, I have libpng:1.2, libpng:1.5 and libpng:0 (1.6.30) installed, still have the issue.
_________________
Where words cascade like rainbows tumbling from the skies, then I'll be there.
Back to top
View user's profile Send private message
DONAHUE
Watchman
Watchman


Joined: 09 Dec 2006
Posts: 7550
Location: Goose Creek SC

PostPosted: Sun Jul 09, 2017 11:30 pm    Post subject: Reply with quote

does emerge -av gtk-engines-adwaita provide any info?
_________________
Defund the FCC.
Back to top
View user's profile Send private message
IvanDSM
n00b
n00b


Joined: 02 May 2017
Posts: 6
Location: Brazil

PostPosted: Mon Jul 10, 2017 5:13 am    Post subject: Reply with quote

Emerging gtk-engines-adwaita also pulled in gtk+2. I was then able to emerge gtk+3. Thank you very much, DONAHUE! :D
_________________
Where words cascade like rainbows tumbling from the skies, then I'll be there.
Back to top
View user's profile Send private message
DONAHUE
Watchman
Watchman


Joined: 09 Dec 2006
Posts: 7550
Location: Goose Creek SC

PostPosted: Mon Jul 10, 2017 11:28 am    Post subject: Reply with quote

Recommend editing the title of your first post to add [Solved]. This problem looks like it may happen to other people.
_________________
Defund the FCC.
Back to top
View user's profile Send private message
pimiento
n00b
n00b


Joined: 09 Dec 2017
Posts: 1

PostPosted: Sat Dec 09, 2017 7:26 pm    Post subject: Reply with quote

I still have that problem while I try to install Gentoo. The same problem with 3.22.16, 3.22.17, 3.22.19. I've tried to recompile libpng but the result is the same!

emerge --info => https://pastebin.com/raw/nJeYWrVS
emerge --pv "=x11-libs/gtk+-3.22.16" => https://pastebin.com/raw/1gNh0ee2
build.log => https://pastebin.com/raw/yG3XWcdF
Back to top
View user's profile Send private message
pewpew
n00b
n00b


Joined: 05 Feb 2018
Posts: 1

PostPosted: Mon Feb 05, 2018 8:57 pm    Post subject: Reply with quote

I had the same problem installing fresh xorg-server with nvidia-drivers (pulling gtk2 and gtk3 as a dependency).
Spent few hours looking into it and found that my environment variable was interfering mime type determination.
It was XDG_DATA_DIRS=/usr/share/mesa/xdg
You should set it to something like XDG_DATA_DIRS=/usr/share/mesa/xdg:/usr/local/share/:/usr/share/
That's the only thing that helped me.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Desktop Environments All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum